Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Affects version:    

Description

We should make it possible to configure plugin priority somehow.

Third party plugins (such as vgmstream) would like to prioritize themselves ahead of MPG123 for example (as vgmstream can

handle game-specific custom looping and MPG123 does not).

I'm not sure what the final solution is, but we should talk about making this configurable.

History

#1 - November 13, 2019 21:08 - John Lindgren

What if we just change the default InputInfo so that the default priority is 5 instead of 0?

And adjust the priority of first-party plugins into the 5-10 range:

flacng, openmpt = 6

vorbis = 7

sndfile = 9 (same as before)

ffaudio = 10 (same as before)

#2 - November 13, 2019 21:20 - Ariadne Conill

Yeah, that was what I was thinking for a first step, but I think users may still want to be able to override our defaults.

#3 - November 19, 2019 01:12 - Ariadne Conill

- Status changed from New to Closed

Done in latest git.

#4 - March 21, 2020 15:20 - John Lindgren

- Target version set to 4.0
